<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body> 
    <div>
        <label for="led-rojo">Led Rojo</label>
        <input type="checkbox" name="ledRojo" id="led-rojo" />
    </div>
    <div>
        <label for="led-azul">Led Azul</label>
        <input type="checkbox" name="ledAzul" id="led-azul" />
    </div>
    <div id="seguimiento">
        Seguimiento

    </div>
    <script src="https://cdn.socket.io/4.7.5/socket.io.min.js" integrity="sha384-2huaZvOR9iDzHqslqwpR87isEmrfxqyWOF7hr7BY6KG0+hVKLoEXMPUJw3ynWuhO" crossorigin="anonymous"></script>
    <script>
        // const socket = io();
        const socket = io("https://robo-ws.vercel.app/", {
            
            withCredentials: true,
            
            transports: ["websocket", "polling"],
            forceNew: true,
        });


        
        const manageLed = function (event) {
            console.log(123);
            let info = {
                control: event.target.name,
                checked: event.target.checked
            }
            socket.emit('mensaje', info);
        };

        socket.on("mensaje", (msg) => {
            console.log(msg);
            let p = document.createElement('p');
            p.innerText = msg.message;
            document.getElementById('seguimiento').appendChild(p);
        });

        document.getElementById('led-rojo').addEventListener('click', manageLed)
        document.getElementById('led-azul').addEventListener('click', manageLed)
    </script>
</body>
</html>